* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: color-mix(in srgb, var(--ctp-base), var(--ctp-mauve) 10%);
  background-image: linear-gradient(120deg,
      color-mix(in srgb, var(--ctp-base), var(--ctp-peach) 5%),
      color-mix(in srgb, var(--ctp-base), var(--ctp-mauve) 10%));
      background-size: cover;
      background-repeat: no-repeat;
  color: var(--ctp-text);
  margin: 0;
  padding: 0;
  font-family: "Ubuntu Sans";
}

.container {
  height: 100vh;              
  display: flex;              
  flex-direction: column;     
  justify-content: center;    
  align-items: center;        
  text-align: center;        
  padding: 2rem;
}

h1 {
  background-image: linear-gradient(120deg, var(--ctp-peach), var(--ctp-mauve));
  background-clip: text;
  font-size: 3.25rem;
  color: transparent;
  font-weight: 800;
  margin-top: 16px;
  margin-bottom: 16px;
}

h2 {
  color: var(--ctp-subtext1);
  font-weight: 400;
  font-size: 1.75rem;
   margin-top: 16px;
  margin-bottom: 16px;
}

.footer {
  bottom: 16px;
  width: 100%;
  position: absolute;
  padding: 2rem;
} 
.footer small {
  color: var(--ctp-subtext0);
  font-weight: 300;
  font-size: 0.9rem;
}

.footer .theme {
  margin-bottom: 16px;
  display: flex;
  gap: 1rem;
  flex-wrap: wrap;           
  justify-content: center;
}

.footer .theme span {
  cursor: pointer;
}

.footer .theme span:hover {
  text-decoration: underline;
}